toolzerhub API Docs

Get article

Get the long-form article attached to a post: title, author, counts, and body blocks including images. A post without an article returns data: null.

2 credits / requestBilled only on success
GET
/v1/x/article

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*string

ID of the post that carries the article, or its x.com status URL.

Lengthlength <= 300
curl -X GET "https://example.com/v1/x/article?id=1905545699552375179" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": "QXJ0aWNsZUVudGl0eToxOTA1NTQxMTM5MTQ0Mjk4NDk4",    "title": "When Tokens Burn",    "preview_text": "Breaking down how crypto protocols approach revenue and cash flow\nThis is a summarised version of a newsletter issue published on Decentralised.co. We are actively collaborating with token",    "cover_image_url": "https://pbs.twimg.com/media/GnHXrznXUAEs-v5.jpg",    "author": {      "id": "1764631141926002689",      "handle": "Decentralisedco",      "name": "DCo",      "description": "Research and investments.",      "location": "Subscribe →",      "website": "https://Decentralised.co",      "avatar_url": "https://pbs.twimg.com/profile_images/1766132688316973056/LB-8W7_d_normal.jpg",      "banner_url": "https://pbs.twimg.com/profile_banners/1764631141926002689/1773416426",      "followers_count": 14024,      "following_count": 428,      "posts_count": 1171,      "media_count": 518,      "likes_count": 2247,      "is_verified": false,      "is_blue_verified": true,      "verified_type": null,      "protected": null,      "created_at": "2024-03-04T12:37:18.000Z",      "pinned_post_ids": [        "2029569587029934133"      ],      "is_automated": false    },    "created_at": "2025-03-28T09:01:12.000Z",    "like_count": 156,    "reply_count": 16,    "quote_count": 8,    "view_count": 44374,    "content": [      {        "type": "unstyled",        "text": "Breaking down how crypto protocols approach revenue and cash flow",        "url": null,        "width": null,        "height": null,        "styles": [          {            "style": "Italic",            "offset": 0,            "length": 65          }        ]      },      {        "type": "unstyled",        "text": "This is a summarised version of a newsletter issue published on Decentralised.co. We are actively collaborating with token issuers on the lifecycle of the asset. If you are a protocol exploring tying tokens to revenue, consider reaching out to us via DMs or e-mail venture@decentralised.co.",        "url": null,        "width": null,        "height": null,        "styles": [          {            "style": "Italic",            "offset": 0,            "length": 290          }        ]      },      {        "type": "unstyled",        "text": "Written by @desh_saurabh ",        "url": null,        "width": null,        "height": null,        "styles": [          {            "style": "Italic",            "offset": 0,            "length": 11          }        ]      },      {        "type": "unstyled",        "text": "Thanks to @kashdhanda for his inputs",        "url": null,        "width": null,        "height": null,        "styles": [          {            "style": "Italic",            "offset": 0,            "length": 36          }        ]      },      {        "type": "divider",        "text": null,        "url": null,        "width": null,        "height": null,        "styles": null      },      {        "type": "header-two",        "text": "The Zero-Sum Attention Game",        "url": null,        "width": null,        "height": null,        "styles": [          {            "style": "Bold",            "offset": 0,            "length": 27          }        ]      }    ]  }}